TestDefinition (Apache Ant API)

Package org.apache.tools.ant.taskdefs.optional.junitlauncher.confined

## Class TestDefinition

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.junitlauncher.confined.TestDefinition

- Direct Known Subclasses:
    `SingleTestClass`, `TestClasses`

      public abstract class TestDefinition
      extends java.lang.Object

  Represents the configuration details of a test that needs to be launched by the `JUnitLauncherTask`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `TestDefinition.ForkedRepresentation` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `excludeEngines` |
    `protected java.lang.String` | `failureProperty` |
    `protected ForkDefinition` | `forkDefinition` |
    `protected java.lang.Boolean` | `haltOnFailure` |
    `protected java.lang.String` | `ifProperty` |
    `protected java.lang.String` | `includeEngines` |
    `protected java.util.List<ListenerDefinition>` | `listeners` |
    `protected java.io.File` | `outputDir` |
    `protected java.lang.String` | `unlessProperty` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TestDefinition()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addConfiguredListener​(ListenerDefinition listener)` |
    `ForkDefinition` | `createFork()` |
    `java.lang.String[]` | `getExcludeEngines()` |
    `java.lang.String` | `getFailureProperty()` |
    `java.lang.String[]` | `getIncludeEngines()` |
    `java.util.List<ListenerDefinition>` | `getListeners()` |
    `java.io.File` | `getOutputDir()` |
    `boolean` | `isHaltOnFailure()` |
    `void` | `setExcludeEngines​(java.lang.String excludeEngines)` |
    `void` | `setFailureProperty​(java.lang.String failureProperty)` |
    `void` | `setHaltOnFailure​(boolean haltonfailure)` |
    `void` | `setIf​(java.lang.String ifProperty)` |
    `void` | `setIncludeEngines​(java.lang.String includeEngines)` |
    `void` | `setOutputDir​(java.io.File dir)` |
    `void` | `setUnless​(java.lang.String unlessProperty)` |
    `protected boolean` | `shouldRun​(Project project)` |
    `protected abstract java.util.List<TestDefinition.ForkedRepresentation>` | `toForkedRepresentations()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ifProperty

          protected java.lang.String ifProperty

    - #### unlessProperty

          protected java.lang.String unlessProperty

    - #### haltOnFailure

          protected java.lang.Boolean haltOnFailure

    - #### failureProperty

          protected java.lang.String failureProperty

    - #### outputDir

          protected java.io.File outputDir

    - #### includeEngines

          protected java.lang.String includeEngines

    - #### excludeEngines

          protected java.lang.String excludeEngines

    - #### forkDefinition

          protected ForkDefinition forkDefinition

    - #### listeners

          protected java.util.List<ListenerDefinition> listeners

  - ### Constructor Detail

    - #### TestDefinition

          public TestDefinition()

  - ### Method Detail

    - #### setIf

          public void setIf​(java.lang.String ifProperty)

    - #### setUnless

          public void setUnless​(java.lang.String unlessProperty)

    - #### isHaltOnFailure

          public boolean isHaltOnFailure()

    - #### setHaltOnFailure

          public void setHaltOnFailure​(boolean haltonfailure)

    - #### getFailureProperty

          public java.lang.String getFailureProperty()

    - #### setFailureProperty

          public void setFailureProperty​(java.lang.String failureProperty)

    - #### addConfiguredListener

          public void addConfiguredListener​(ListenerDefinition listener)

    - #### getListeners

          public java.util.List<ListenerDefinition> getListeners()

    - #### setOutputDir

          public void setOutputDir​(java.io.File dir)

    - #### getOutputDir

          public java.io.File getOutputDir()

    - #### createFork

          public ForkDefinition createFork()

    - #### shouldRun

          protected boolean shouldRun​(Project project)

    - #### getIncludeEngines

          public java.lang.String[] getIncludeEngines()

    - #### setIncludeEngines

          public void setIncludeEngines​(java.lang.String includeEngines)

    - #### getExcludeEngines

          public java.lang.String[] getExcludeEngines()

    - #### setExcludeEngines

          public void setExcludeEngines​(java.lang.String excludeEngines)

    - #### toForkedRepresentations

          protected abstract java.util.List<TestDefinition.ForkedRepresentation> toForkedRepresentations()
                                                                                                  throws java.lang.IllegalStateException

      Throws:
        `java.lang.IllegalStateException`